version: "3.9"

services:
  client:
    image: docker.adaoncloud.com/adabuilder/client:staging
    container_name: builder-client
    ports:
      - ${CLIENT_PORT}:80
  watchtower:
    image: containrrr/watchtower
    environment:
      - REPO_USER=${DOCKER_USER}
      - REPO_PASS=${DOCKER_PASSWORD}
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    command: builder-client --interval 30 --cleanup
